from common.constants import *
from common.tools import get_spark
from etl_functions.user_dim import *

spark = get_spark(f"method_{NAIVE}_restore")

spark.sparkContext.addPyFile(f"{ETL_PATH}/packages.zip")


def restore_table(table):
    if spark.sql(f"show tables in {DWH_DB}").filter(col('tableName') == f"{table}{BACKUP}").count() > 0:
        spark.sql(f"DROP TABLE IF EXISTS {table}")
        spark.sql(f"ALTER TABLE {table}{BACKUP} RENAME TO {table}")


restore_table(USER_DIM)
restore_table(TRACK_DIM)
restore_table(STREAMS_FACT)
