# SPARK INIT
MASTER_ADDR = "spark://192.168.20.241:7077"

CODE_PATH = '/home/hdfs/src'
HDFS = 'hdfs:///user/hdfs/'
HDFS_PATH_IN = 'hdfs:///user/hdfs/src_input'
HDFS_PATH_OUT = 'hdfs:///user/hdfs/src'

LOG_FILE = f"{CODE_PATH}/log_src.log"

# DATASETS
FIRSTNAMES_DATASET = f'{HDFS_PATH_IN}/user/firstnames.csv'
LASTNAMES_DATASET = f'{HDFS_PATH_IN}/user/lastnames.csv'
EMAIL_DOMAINS_DATASET = f'{HDFS_PATH_IN}/user/email_domains.csv'
STREETS_DATASET = f'{HDFS_PATH_IN}/geo/streets.csv'
COUNTRIES_DATASET = f'{HDFS_PATH_IN}/geo/geo_data.csv'
TRACK_EXT_DATASET = f'{HDFS_PATH_IN}/track/tracks_extended.csv'

USER_DIR = f'{HDFS}/temp/user'
EVENT_DIR = f'{HDFS}/temp/event'

# OUT FILES
USER_OUT = f'{HDFS_PATH_OUT}/users.csv'
TRACK_OUT = f'{HDFS_PATH_OUT}/tracks.csv'
ALBUM_OUT = f'{HDFS_PATH_OUT}/albums.csv'
EVENT_OUT = f'{HDFS_PATH_OUT}/events.csv'

EMAIL_TEMPLATES = [
    '_fn_._ln_@_dom_',
    '_ln_._fn_@_dom_',
    '_sfn_._ln_@_dom_',
    '_fn_._sln_@_dom_',
    '_ln_@_dom_',
    '_ln__num_@_dom_',
    '_fn__num_@_dom_',
    '_fn_._ln__num_@_dom_',
    '_sfn__ln_@_dom_',
    '_fn__sln_@_dom_',
    '_fn__ln_@_dom_',
    '_fn__ln_@_dom_',
    '_sfn__ln__num_@_dom_',
    '_fn__sln__num_@_dom_',
    '_fn__ln__num_@_dom_',
    '_fn__ln__num_@_dom_',
]