from pyspark.sql import SparkSession

from common.tools import get_spark

spark: SparkSession = get_spark()


def read(path):
    df = spark.read.csv(path, sep=",", header="true", inferSchema="true")
    return df.toPandas()


def write(df, path):
    spark.createDataFrame(df).write.mode('overwrite').option("header", "true").csv(path)

